--AH:ScriptId=01afa5d0-dd84-46b3-aa9e-c3580e0271d0;2779

DELETE [DashboardGadgets]
 WHERE CAST([DashboardGadget_Configuration].query('local-name(/*[1])') AS VARCHAR(100)) = 'Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildDetailsGadget'
   AND [DashboardGadget_Configuration].value('/*[1]/@Assembly', 'VARCHAR(100)') = 'BuildMaster.Web.WebApplication'

DELETE [DashboardGadgets]
 WHERE CAST([DashboardGadget_Configuration].query('local-name(/*[1])') AS VARCHAR(100)) = 'Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildVariablesGadget'
   AND [DashboardGadget_Configuration].value('/*[1]/@Assembly', 'VARCHAR(100)') = 'BuildMaster.Web.WebApplication'

UPDATE [DashboardGadgets]
       SET [Display_Sequence] = [Display_Sequence] + 1
  FROM [Dashboards] D
       JOIN [DashboardGadgets] G
	     ON D.[Dashboard_Id] = G.[Dashboard_Id]
 WHERE D.[DashboardScope_Code] = 'B'   
   AND G.[Dashboard_Zone] = 3

INSERT INTO [DashboardGadgets]
  ([Dashboard_Id], [Dashboard_Zone], [Display_Sequence], [DashboardGadget_Name], [DashboardGadget_Description],
   [DashboardGadget_Configuration], [CreatedBy_User_Name], [CreatedOn_Date], [ModifiedBy_User_Name], [ModifiedOn_Date])
SELECT
   D.[Dashboard_Id], 3, 1, 'Build Variables', 'Displays the build variables with a build.',
  	'<Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildVariablesGadget Assembly="BuildMaster.Web.WebApplication"><Properties /></Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildVariablesGadget>',
	'SYSTEM', GETUTCDATE() , 'SYSTEM', GETUTCDATE()
  FROM [Dashboards] D
 WHERE D.[DashboardScope_Code] = 'B'   

