EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Containers_DeleteContainer',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a container.'
GO

IF OBJECT_ID('[Containers_DeleteContainer]') IS NOT NULL DROP PROCEDURE [Containers_DeleteContainer]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Containers_DeleteContainer]
(
    @Container_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	DELETE [Containers]
	 WHERE [Container_Id] = @Container_Id

END
GO

GRANT EXECUTE ON [Containers_DeleteContainer] TO [BuildMasterUser_Role]
