IF OBJECT_ID('ABS_MONTH_NUMBER') IS NOT NULL DROP FUNCTION ABS_MONTH_NUMBER
GO
CREATE FUNCTION ABS_MONTH_NUMBER
(
  @Date DATETIME
) RETURNS INT AS BEGIN
  
  RETURN
    /* Months Past Since Day 0 */
    ((DATEPART(yy,@Date) - 1900) * 12)
    /* Plus Months this year */
    + DATEPART(m,@Date)
END
GO