IF OBJECT_ID('[EventOccurences_Extended]') IS NOT NULL DROP VIEW [EventOccurences_Extended]
GO

CREATE VIEW [EventOccurences_Extended]
AS

	SELECT EO.*
	      ,ET.[Event_Description]
	      ,A.[Application_Name]
		  ,A.[ApplicationGroup_Id]
	  FROM [EventOccurences] EO
	       INNER JOIN [EventTypes] ET	              
	               ON ET.[Event_Code] = EO.[Event_Code]
	        LEFT JOIN [Applications] A
	               ON EO.[Application_Id] = A.[Application_Id]
